# -*- coding: utf-8 -*-
from setuphelpers import *


# -*- coding: utf-8 -*-
from setuphelpers import *

bin_path = makepath("/", "usr", "local", "bin")
app_path = "/opt/free_pascal"

def install():
    # Extraction and copying to /opt/free_pascal
    extract_path = glob.glob("*.tar")[0]
    run(f"tar -xvf {extract_path}")
    char_len = len(extract_path) - len('.tar')
    extract_path = extract_path[:char_len]
    bin_name = glob.glob(extract_path)[0]
    print(f"copying free_pascal to {app_path}")
    if not isdir(app_path):
        mkdirs(app_path)
    copytree2(bin_name, app_path)
    # Creation of symlink
    if not isfile(f"{bin_path}/free_pascal"):
        print("create free_pascal alias in path")
        os.symlink(f"{app_path}/free_pascal", f"{bin_path}/free_pascal")
    if isdir(extract_path):
        remove_tree(extract_path)
    

def uninstall():
    # Removing of symlink
    if isfile(f"{bin_path}/free_pascal"):
        remove_file(f"{bin_path}/free_pascal")
    # Removing of the software 
    if isdir(app_path):
        remove_tree(app_path)
